Package com.sas.lsaf.core

## Class AbstractCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `AclException`, `AnalysisResultNotFoundException`, `AuditSearchException`, `AuthenticationException`, `AutoFlowException`, `AutoFlowSetupException`, `CheckedOutFilesSearchException`, `DictionaryException`, `ExportException`, `ExternalDictionaryAssociationExistsException`, `ExternalDictionaryAssociationNotFoundException`, `GroupException`, `ImportException`, `InvalidProcessFlowStateException`, `InvalidRecipientException`, `InvalidTaskAssigneeException`, `InvalidTaskStateException`, `JobCreateException`, `JobExistsException`, `JobFormatException`, `JobNotFoundException`, `JobSubmissionException`, `JobSubmissionNotFoundException`, `JobUpdateException`, `MembershipException`, `ModelException`, `PrincipalNotFoundException`, `PrivilegeException`, `ProcessDefinitionDeploymentException`, `ProcessDefinitionMappingUpdateException`, `ProcessDefinitionNotFoundException`, `ProcessDefinitionStateException`, `ProcessFlowCopyException`, `ProcessFlowElementNotFoundException`, `ProcessFlowElementSetupException`, `ProcessFlowElementSetupNotFoundException`, `ProcessFlowException`, `ProcessFlowExistsException`, `ProcessFlowManifestCreateException`, `ProcessFlowNotFoundException`, `ProcessFlowSearchException`, `QueryException`, `RecycleBinItemDeleteException`, `RecycleBinItemNotFoundException`, `RecycleBinItemSearchException`, `RepositoryException`, `RepositorySearchException`, `ResourceUtilizationException`, `ResultsNotFoundException`, `RoleException`, `ScheduleException`, `ScheduleNotFoundException`, `SectionException`, `SessionException`, `SessionSearchException`, `SharedWorkspaceException`, `SigningException`, `StandardAssociationExistsException`, `StandardAssociationNotFoundException`, `StandardNotFoundException`, `StudyCodeListUpdateException`, `StudyComponentEditException`, `StudyDictionaryException`, `StudyNotFoundException`, `StudySupportingDocumentUpdateException`, `StudyTableUpdateException`, `StudyUpdateException`, `StudyValueLevelMetadataUpdateException`, `SubscriptionException`, `TaskSearchException`, `TlfException`, `TlfTemplateException`, `TypeNotFoundException`, `UserException`, `ValidationReportException`, `WorkspaceItemException`

      public abstract class AbstractCheckedException
      extends java.lang.Exception

  Root of the hierarchy of all checked exceptions within the SAS Life Science Analytics Framework Java API. Provides a way of wrapping checked `Exceptions` with a root cause.

  Abstract because this exception should not be constructed directly, rather, a more detailed subclass should be constructed and thrown.

  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractCheckedException​(java.lang.String message)` | Construct an `AbstractCheckedException` with the specified detail message.
    `AbstractCheckedException​(java.lang.String message, java.lang.Throwable cause)` | Construct an `AbstractCheckedException` with the specified detail message and nested exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage()` | Returns the detail message, including the message from the nested exception if there is one.
    `java.lang.Throwable` | `getRootCause()` | Retrieve the innermost cause of this exception, if any.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCheckedException

          public AbstractCheckedException​(java.lang.String message)

      Construct an `AbstractCheckedException` with the specified detail message.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `getMessage()` method).

    - #### AbstractCheckedException

          public AbstractCheckedException​(java.lang.String message,
                                          java.lang.Throwable cause)

      Construct an `AbstractCheckedException` with the specified detail message and nested exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.).

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Returns the detail message, including the message from the nested exception if there is one.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        the detail message of this `Throwable` instance (which may be `null`), including the message from the nested exception if there is one.

    - #### getRootCause

          public java.lang.Throwable getRootCause()

      Retrieve the innermost cause of this exception, if any.
      Returns:
        the innermost exception, or `null` if none.